List of all members
clan::Directory Class Reference
clanCore I/O Data

Directory utility class. More...

`#include <directory.h>`

## Static Public Member Functions
Operations
static bool | create (const std::string &dir_name, bool recursive=false)
| Create directory. More...
static bool | remove (const std::string &dir_name, bool delete_files=false, bool delete_sub_directories=false)
| Remove directory. More...
static bool | rename (const std::string &old_name, const std::string &new_name)
| Rename directory. More...
static bool | set_current (const std::string &dir_name)
| Change current directory. More...
static std::string | get_current ()
| Get current directory. More...
static std::string | get_appdata (const std::string &company_name, const std::string &application_name, const std::string &version, bool create_dirs_if_missing=true)
| Returns the current user's roaming application data directory. More...
static std::string | get_local_appdata (const std::string &company_name, const std::string &application_name, const std::string &version, bool create_dirs_if_missing=true)
| Returns the current user's local (nonroaming) application data directory. More...
static std::string | get_resourcedata (const std::string &application_name, const std::string &data_dir_name="Resources")
| Returns the application resource data directory. More...

## Detailed Description

Directory utility class.

The documentation for this class was generated from the following file:

- directory.h